- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Exe_Event_Del Struct Reference
Process Spawning Functions

Process exit event. More...

## Data Fields
pid_t | pid
| The process ID of the process that exited.
int | exit_code
| The exit code of the process.
Ecore_Exe * | exe
| The handle to the exited process, or `NULL` if not found.
int | exit_signal
Eina_Bool | exited: 1
| < The signal that caused the process to exit
Eina_Bool | signalled: 1
| < set to 1 if the process exited of its own accord
void * | ext_data
| < set to 1 id the process exited due to uncaught signal More...
siginfo_t | data
| Signal info.

## Detailed Description

Process exit event.

## Field Documentation

void* _Ecore_Exe_Event_Del::ext_data

< set to 1 id the process exited due to uncaught signal

Extension data - not used